package eu.dnetlib.dnetexploremetrics.dao;

import eu.dnetlib.dnetexploremetrics.model.Metrics;
import eu.dnetlib.dnetexploremetrics.utils.PrometheusMetricsFormatter;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;
public class MetricsFileDAO implements MetricsDAO {

    private final Logger logger = Logger.getLogger(this.getClass());
    private String fileName;

    @Override
    public void save(Metrics metrics) {
        try {
            Files.write(Paths.get("fileName"), PrometheusMetricsFormatter.formatMetrics(metrics).getBytes());

        } catch (IOException ioe) {
            logger.error("Error writing metrics to file " + fileName + ".", ioe);
            System.out.println(ioe);
        }

    }

    @Override
    public List<Metrics> getMetrics() {
        return null;
    }

    public static void main(String[] args) {

        MetricsFileDAO mfd = new MetricsFileDAO();
        mfd.fileName="/home/katerina/Desktop/test.txt";
        Metrics m = new Metrics();
        m.publications = 1+"";
        mfd.save(m);
    }
}
